Debian Bug report logs - #624916
btanks: FTBFS: engine/sl08/sl08.h:270:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]

version graph

Package: src:btanks; Maintainer for src:btanks is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 2 May 2011 12:47:15 UTC

Severity: serious

Tags: sid, wheezy

Found in version btanks/0.9.8083-2

Fixed in version btanks/0.9.8083-3

Done: Ansgar Burchardt <ansgar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#624916; Package src:btanks. (Mon, 02 May 2011 12:47:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 02 May 2011 12:47:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: btanks: FTBFS: engine/sl08/sl08.h:270:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
Date: Mon, 2 May 2011 14:29:49 +0200
Source: btanks
Version: 0.9.8083-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110502 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++ -o build/release/editor/editor.o -c -g -O2 -g -O2 -fvisibility-inlines-hidden -fvisibility=hidden -DGCC_HASCLASSVISIBILITY -fvisibility-inlines-hidden -fvisibility=hidden -g -O2 -g -O2 -fvisibility=hidden -DGCC_HASCLASSVISIBILITY -fvisibility=hidden -Wall -Wno-deprecated -pedantic -Wno-long-long -pipe -pthread -Wall -Wno-deprecated -pedantic -Wno-long-long -pipe -pthread -DUSE_GLSDL -DV3_DISABLE_Z -DRELEASE -DPREFIX="\"/usr\"" -DRESOURCES_DIR="\"/usr/share/games/btanks\"" -DPLUGINS_DIR="\"/usr/lib/btanks\"" -D_GNU_SOURCE=1 -D_REENTRANT -I. -I/usr/include/SDL -Iengine -Iengine/src editor/editor.cpp
> editor/editor.cpp: In member function 'void Editor::render(sdlx::Surface&, float)':
> editor/editor.cpp:245:13: warning: variable 'window_size' set but not used [-Wunused-but-set-variable]
> In file included from editor/editor.h:31:0,
>                  from editor/editor.cpp:28:
> engine/sl08/sl08.h: In constructor 'sl08::slot1<return_type, arg1_type, object_type>::slot1() [with return_type = bool, arg1_type = float, object_type = Editor]':
> editor/editor.cpp:112:84:   instantiated from here
> engine/sl08/sl08.h:270:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
> engine/sl08/sl08.h:270:45: error: cannot convert 'void*' to 'sl08::slot1<bool, float, Editor>::func_t' in initialization
> engine/sl08/sl08.h: In constructor 'sl08::slot2<return_type, arg1_type, arg2_type, object_type>::slot2() [with return_type = bool, arg1_type = const SDL_keysym, arg2_type = const bool, object_type = Editor]':
> editor/editor.cpp:112:84:   instantiated from here
> engine/sl08/sl08.h:445:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
> engine/sl08/sl08.h:445:45: error: cannot convert 'void*' to 'sl08::slot2<bool, const SDL_keysym, const bool, Editor>::func_t' in initialization
> engine/sl08/sl08.h: In constructor 'sl08::slot4<return_type, arg1_type, arg2_type, arg3_type, arg4_type, object_type>::slot4() [with return_type = bool, arg1_type = const int, arg2_type = const bool, arg3_type = const int, arg4_type = const int, object_type = Editor]':
> editor/editor.cpp:112:84:   instantiated from here
> engine/sl08/sl08.h:795:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
> engine/sl08/sl08.h:795:45: error: cannot convert 'void*' to 'sl08::slot4<bool, const int, const bool, const int, const int, Editor>::func_t' in initialization
> engine/sl08/sl08.h: In constructor 'sl08::slot5<return_type, arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, object_type>::slot5() [with return_type = bool, arg1_type = const int, arg2_type = const int, arg3_type = const int, arg4_type = const int, arg5_type = const int, object_type = Editor]':
> editor/editor.cpp:112:84:   instantiated from here
> engine/sl08/sl08.h:970:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
> engine/sl08/sl08.h:970:45: error: cannot convert 'void*' to 'sl08::slot5<bool, const int, const int, const int, const int, const int, Editor>::func_t' in initialization
> engine/sl08/sl08.h: In constructor 'sl08::slot1<void, arg1_type, object_type>::slot1() [with arg1_type = const SDL_Event&, object_type = Editor]':
> editor/editor.cpp:112:84:   instantiated from here
> engine/sl08/sl08.h:292:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
> engine/sl08/sl08.h:292:45: error: cannot convert 'void*' to 'sl08::slot1<void, const SDL_Event&, Editor>::func_t' in initialization
> engine/sl08/sl08.h: In constructor 'sl08::slot1<void, arg1_type, object_type>::slot1() [with arg1_type = const int, object_type = Editor]':
> editor/editor.cpp:112:84:   instantiated from here
> engine/sl08/sl08.h:292:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
> engine/sl08/sl08.h:292:45: error: cannot convert 'void*' to 'sl08::slot1<void, const int, Editor>::func_t' in initialization
> engine/sl08/sl08.h: In constructor 'sl08::slot2<void, arg1_type, arg2_type, object_type>::slot2() [with arg1_type = const int, arg2_type = const char*, object_type = Editor]':
> editor/editor.cpp:112:84:   instantiated from here
> engine/sl08/sl08.h:467:45: error: invalid conversion from 'void*' to 'Editor*' [-fpermissive]
> engine/sl08/sl08.h:467:45: error: cannot convert 'void*' to 'sl08::slot2<void, const int, const char*, Editor>::func_t' in initialization
> scons: *** [build/release/editor/editor.o] Error 1
> scons: building terminated because of errors.
> make[1]: *** [override_dh_auto_configure] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/05/02/btanks_0.9.8083-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Ansgar Burchardt <ansgar@debian.org>:
You have taken responsibility. (Tue, 10 May 2011 06:51:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 10 May 2011 06:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 624916-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 624916-close@bugs.debian.org
Subject: Bug#624916: fixed in btanks 0.9.8083-3
Date: Tue, 10 May 2011 06:47:43 +0000
Source: btanks
Source-Version: 0.9.8083-3

We believe that the bug you reported is fixed in the latest version of
btanks, which is due to be installed in the Debian FTP archive:

btanks-data_0.9.8083-3_all.deb
  to main/b/btanks/btanks-data_0.9.8083-3_all.deb
btanks_0.9.8083-3.debian.tar.gz
  to main/b/btanks/btanks_0.9.8083-3.debian.tar.gz
btanks_0.9.8083-3.dsc
  to main/b/btanks/btanks_0.9.8083-3.dsc
btanks_0.9.8083-3_amd64.deb
  to main/b/btanks/btanks_0.9.8083-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624916@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@debian.org> (supplier of updated btanks package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 10 May 2011 08:21:56 +0200
Source: btanks
Binary: btanks btanks-data
Architecture: all amd64 source
Version: 0.9.8083-3
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@debian.org>
Closes: 624916
Description: 
 btanks     - fast 2D tank arcade game with multiplayer and split-screen modes
 btanks-data - fast 2D tank arcade game -- data
Changes: 
 btanks (0.9.8083-3) unstable; urgency=low
 .
   * Fix FTBFS with gcc-4.6. (Closes: #624916)
     + new patch: gcc-4.6.patch
   * Use dpkg-buildflags and hardening-includes to set compiler flags.
   * debian/control: Use Breaks instead of Conflicts.
   * Bump Standards-Version to 3.9.2.
   * debian/control: Remove DM-Upload-Allowed.
   * Update my email address.
Checksums-Sha1: 
 2bd5115f09e4571c3e7a4ff7e4db0b114319190b 2226 btanks_0.9.8083-3.dsc
 741a54b12a9b188b2da68e69f27b6dc7365335d0 42474 btanks_0.9.8083-3.debian.tar.gz
 8137a7269cf792d38dd365962b83a710231693c9 2944540 btanks_0.9.8083-3_amd64.deb
 5e0ea0cabbafee30b83ca1c9127200d8ff9018b4 26784876 btanks-data_0.9.8083-3_all.deb
Checksums-Sha256: 
 bb44241cc461e0e1de08df4e97710d87b1253743ec5ddcb658a4399918cce0eb 2226 btanks_0.9.8083-3.dsc
 9ea7da6e9ce39d367f49280a0b8248d742258c6b8ea7850bdcde4cc1f6fc7bc7 42474 btanks_0.9.8083-3.debian.tar.gz
 d7c1da473e0a8138c5811a66be460f40abb6e95063effcd6e4fe64ba0b5de909 2944540 btanks_0.9.8083-3_amd64.deb
 8f535c032da76c5f39510966abb2479f5d7ffca64c515678525d7f9823cf6c18 26784876 btanks-data_0.9.8083-3_all.deb
Files: 
 e097a7785910d36b605dcbcb33620d05 2226 games extra btanks_0.9.8083-3.dsc
 4046721ff183663a121c4fba16ce93ee 42474 games extra btanks_0.9.8083-3.debian.tar.gz
 b32d137e375dd18b6b4781662588124b 2944540 games extra btanks_0.9.8083-3_amd64.deb
 6abffb57834bd7aa6cc3d18bdd49195f 26784876 games extra btanks-data_0.9.8083-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJNyNxbAAoJEIATJTTdNH3IaS8QANs3s+3BaEoKZ7cC0VoFnE0O
dctHDH5jSzzASkW+9PnVwnpbvNAWr1mGfLbU2oCEqAfnC9GqQ/mwS3wDnYQqoKJ6
Se0y1F1+NwfCryNKGIIxE+SW58prLIf7veaBKo4/a3Aoma/+jmdDpcsbuI685KXU
ccJ0Hu71/i3tMl6PYnixqwhZKOSmL3QKLoehdrssiGWkdDoGqiRTqzOwmqbyb0Xu
NagwfADWpU50ohrQV6HM66V1ZVkQk7v3/E06l6fl5z2kWadxgkXauE80aEaRpPTr
iVUMBLITMq20c69BOE55TtYE12nMD0pkW6TB3clIV3FQHDkShTju7Trbo+hqPz62
pxrvrrQxQ8l4sda8LXSe/ISZ/9ab2jRHlKjgOPPBCReZDSML2VJ0zSwb1Gfx9vSS
DxVHY9KGZzKxmBlgYEPi9jZqLQDbZONfEOdRSsKgI/NOkjvAv8D0B7Mjp2HcctOC
fXrbu644hTrmiQxZYyKZsrw9uTe5IUiF1n82TwwEBJxg8Te684uI6N9MzJRnpFPX
AjSxFjvoAZl8p/d87anYZSTu+jO3kBrhe5n30fz/swnI6OBvyC+K/qzgbJazi+w+
wzV6YCCCqpmYNjzcSqdz7i14//csDWz6NMvLIqZFyoRPWvPl82RarmO1cIvGtF2U
/yNsqy8rBa23Kc2sHm4L
=qVln
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:51:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:36:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.